<template>
  <div class="mb-4 row">
    <div class="col-sm-1">
      <Button
        class="btn-light me-2"
        :class="{ active: setActiveButton(FILTER_STATUS.all) }"
        @click="onChangeFilter(FILTER_STATUS.all)"
        >Все</Button
      >
    </div>
    <div class="col-sm-2">
      <Button
        class="btn-light me-2"
        :class="{ active: setActiveButton(FILTER_STATUS.active) }"
        @click="onChangeFilter(FILTER_STATUS.active)"
        >Активные</Button
      >
    </div>
    <div class="col-sm-1">
      <Button
        class="btn-light"
        :class="{ active: setActiveButton(FILTER_STATUS.archive) }"
        @click="onChangeFilter(FILTER_STATUS.archive)"
        >Архив</Button
      >
    </div>
  </div>
</template>

<script setup>
import Button from "@/components/Button.vue";
import { FILTER_STATUS } from "../constants";
const props = defineProps({
  currentFilterStatus: { type: String, required: true },
});

const emit = defineEmits({
  "on-change-filter": null,
});

const onChangeFilter = (status) => {
  emit("on-change-filter", status);
};

const setActiveButton = (status) => props.currentFilterStatus === status;
</script>
